WMCALC(1)

NAME
wmcalc - dockable calculator application

SYNOPSIS
wmcalc [-g geometry] [-d display] [-v] [-f configfile] [-h]

DESCRIPTION
This manual page documents briefly the wmcalc command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

wmcalc is a program designed to act as a simple calculator offering basic operations like addition, subtraction, multiplication, division, square and squareroot. It is different from other calculator programs, however in that it is designed to take up very little desktop space. As such, it can be left running on the desktop at all times. It is intended to placed in the WindowMaker dock, or in Wharf under Afterstep, though it should run as well under any window manager.

*IMPORTANT*: this calculator, due to its simple target, does not respect the proper mathematical operations order, and they are executed in the order they are inserted.

Buttons are defined as:
 ____________________
|       x00          |  x = 1 for Left Mouse Button
| 0 1 2 3 4 5 6 7 8 9|  x = 2 for Middle Mouse Button
|--------------------|  x = 3 for Right Mouse Button
|x01 x02 x03 x04 x05 |
|x06 x07 x08 x09 x10 |  Note: the numbers 0..9 are the
|x11 x12 x13 x14 x15 |         indicators for memory cells
|x16 x17 x18 x19 x20 |         0..9 respectively
 --------------------

Button Functions:

100 Reinitialize the calculator. (100 = Left Mouse Button on Display)

200 Clear all the memory registers (0..10)

300 Clear the current number being entered only

x11 Start a program defined by CalcStart variable in config file

1yy Perform function shown on button

2yy Recall number from memory location [0-9] to display for calculation if yy = 2,3,4, 7,8,9, 12, 13, 14, 17 otherwise, can run a user-defined function (not implemented)

3yy Store Displayed number in memory location [0-9] if yy = 2,3,4, 7,8,9, 12,13,14, 17 otherwise, can run a user-defined function (not implemented)

1xx Hopefully the other functions are obvious from their button graphics.

OPTIONS

-g <geometry>
    Window Geometry - ie: 64x64+10+10

-d <display>
    Display - ie: 127.0.0.1:0.0

-f <filename>
    Full path to configuration file.

-v  Verbose Mode.

-h  Help.

FILES

/etc/wmcalc.conf
    system wide wmcalc configuration file which will be used for all users who start wmcalc the first time.

~/.wmcalc
    The configuration file (.wmcalc) is written by wmcalc whenever the user requests to store a number to memory. This file is automatically created the first time a user launches wmcalc with /etc/wmcalc.conf as template. As a part of this process, a file is written to /tmp. If /tmp is not accessible, it tries in the user's home directory, as defined by the environment variable HOME. This file is erased as soon as it is written over the main configuration file.

CONFIGURATION

The configuration file is case sensitive. A # starts a comment, and lines consisting entirely of whitespace are ignored. The syntax is simply:

<variable> <content>
    Where <variable> and <content> need to be separated by a Tab \t and not spaces.

mem0 - mem9 Calculator Memory Locations. These must all exist, though they may be in any order.

CalcStart The CalcStart variable is intended to allow the user to start a larger calculator for more complicated needs.  Everything after the tab '\t' character is sent unmodified in a system() call, so anything you can type at the command prompt may be put here.

ImagChar The ImagChar variable allows the user to choose between 'i' and 'j' to represent the sqrt(-1).

AUTHOR
wmcalc was written by Edward H. Flora <ehflora@access1.net>, and is licensed under the terms of the GNU General Public License.

This manual page was written by Gordon Fraser <gordon@freakzone.net>, for the Debian GNU/Linux system (but may be used by others).